/**
 * Defines the structure of the warning modal that shows when a route has a content warning of some sort.
 */
export type WarningModal = {
  /**
   * The modal's body text
   */
  prompt: string
  /**
   * Information used by the Leave button
   */
  leave: {
    /**
     * The url the button should kick the user to
     */
    url: string,
    /**
     * The text shown on the Leave button
     */
    text: string,
  },
  /**
   * The text shown on the Acknowledge button
   */
  acknowledge: string,
  /**
   * The text shown on the Remember checkbox (which caches the user's consent and avoids re-prompting the modal repeatedly)
   */
  remember: string,
}
