import type { MediaEntry } from './shared'

/**
 * This describes additional information about a article entry
 * to display when listing the entry on the article-list page.
 */
export type ArticleEntry = {
  /**
   * Alternative text to render for an entry (used on alt attribute for thumbnail where applicable)
   */
  alternativeText?: string
  /**
   * Caption to show for the entry (used on title attribute as well as displayed caption text where applicable)
   */
  caption?: string
  /**
   * URL to the entry's thumbnail
   */
  thumbnailUrl?: string
  /**
   * URL to the markdown document of the article entry
   */
  url: string
} & MediaEntry
